/*
 * Copyright (c) 2006, 2013, Oracle and/or its affiliates. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

Somehow we shipped in Solaris libXfixes.so.1 the same version the open
source community shipped as libXfixes.so.3.   This thus maintains ABI
compatibility with the existing Solaris binaries.

diff --git a/src/Makefile.am b/src/Makefile.am
index 4e3f542..6c8842c 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -12,7 +12,7 @@ AM_CFLAGS = $(CWARNFLAGS) @FIXESEXT_CFLAGS@
 AM_CPPFLAGS = -I$(top_srcdir)/include/X11/extensions
 
 libXfixes_la_LIBADD = @FIXESEXT_LIBS@
-libXfixes_la_LDFLAGS = -version-number 3:1:0 -no-undefined
+libXfixes_la_LDFLAGS = -version-number 1 -no-undefined
 
 libXfixesincludedir = $(includedir)/X11/extensions
 libXfixesinclude_HEADERS = $(top_srcdir)/include/X11/extensions/Xfixes.h
diff --git a/src/Makefile.in b/src/Makefile.in
index fbf8351..2077f2c 100644
--- a/src/Makefile.in
+++ b/src/Makefile.in
@@ -342,7 +342,7 @@ libXfixes_la_SOURCES = \
 AM_CFLAGS = $(CWARNFLAGS) @FIXESEXT_CFLAGS@
 AM_CPPFLAGS = -I$(top_srcdir)/include/X11/extensions
 libXfixes_la_LIBADD = @FIXESEXT_LIBS@
-libXfixes_la_LDFLAGS = -version-number 3:1:0 -no-undefined
+libXfixes_la_LDFLAGS = -version-number 1 -no-undefined
 libXfixesincludedir = $(includedir)/X11/extensions
 libXfixesinclude_HEADERS = $(top_srcdir)/include/X11/extensions/Xfixes.h
 all: all-am
